summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorcoryan <coryan@ae88bc3d-4319-0410-8dbf-d08b4c9d3795>1999-03-10 02:57:21 +0000
committercoryan <coryan@ae88bc3d-4319-0410-8dbf-d08b4c9d3795>1999-03-10 02:57:21 +0000
commitb56a251502dcbe0597c1d08dfe344bfca1cba23c (patch)
tree533d5bcd772de1edb85fa212d977a24dab566c9d
parent9b8a3f7664eb9b638b2cc145acd7584063e11304 (diff)
downloadATCD-b56a251502dcbe0597c1d08dfe344bfca1cba23c.tar.gz
ChangeLogTag:Tue Mar 9 20:56:35 1999 Carlos O'Ryan <coryan@cs.wustl.edu>
-rw-r--r--ChangeLog-99b10
-rwxr-xr-xbin/auto_compile52
-rw-r--r--include/makeinclude/rules.nested.GNU2
3 files changed, 47 insertions, 17 deletions
diff --git a/ChangeLog-99b b/ChangeLog-99b
index eee2afc3a46..680ab7f80ef 100644
--- a/ChangeLog-99b
+++ b/ChangeLog-99b
@@ -1,3 +1,13 @@
+Tue Mar 9 20:56:35 1999 Carlos O'Ryan <coryan@cs.wustl.edu>
+
+ * include/makeinclude/rules.nested.GNU:
+ If the DIRS macro is not set we simply do not recurse. Before
+ this change we got an error from the shell.
+
+ * bin/auto_compile:
+ If there are no errors then send a message when a warning was
+ detected during compilation.
+
Tue Mar 09 15:15:19 1999 David L. Levine <levine@cs.wustl.edu>
* bin/create_ace_build: check for ace/ and include/ directories
diff --git a/bin/auto_compile b/bin/auto_compile
index 25662f308ba..46ae42c71ca 100755
--- a/bin/auto_compile
+++ b/bin/auto_compile
@@ -72,24 +72,28 @@ $MAKEFLAGS = $ARGV[4];
$disable_file = $LOGDIR . '/.disable';
+sub mywarn {
+ local @msg = @_;
+ open(MAIL, "|mail $ADMIN")
+ || die "cannot open email pipe on error: $msg\n";
+ print MAIL 'The following message is brought to you by: ', "\n";
+ print MAIL $CMD, ' [', $REVISION, "] for $BUILD on $CHECKOUT\n";
+ print MAIL "\n";
+ local $m;
+ foreach $m (@msg) {
+ print MAIL $m, "\n";
+ }
+ print MAIL "\nPlease check log files for more info\n";
+ close(MAIL)
+ || die "cannot close email pipe on error: $msg\n";
+}
+
sub mydie {
- local @msg = @_;
- open(MAIL, "|mail $ADMIN")
- || die "cannot open email pipe on error: $msg\n";
- print MAIL 'The following error is brought to you by: ', "\n";
- print MAIL $CMD, ' [', $REVISION, "] for $BUILD on $CHECKOUT\n";
- print MAIL "\n";
- local $m;
- foreach $m (@msg) {
- print MAIL $m, "\n";
- }
- print MAIL "\nPlease check log files for more info\n";
- close(MAIL)
- || die "cannot close email pipe on error: $msg\n";
- print HIST 'FAILED', "\n";
- unlink $disable_file
- || die "cannot unlink disable file";
- exit 0;
+ mywarn @_;
+ print HIST 'FAILED', "\n";
+ unlink $disable_file
+ || die "cannot unlink disable file";
+ exit 0;
}
### MAIN FUNCTION
@@ -173,6 +177,7 @@ $ENV{'ACE_ROOT'} = $CHECKOUT . '/' . $MODULE . '/build/' . $BUILD;
$ENV{'TAO_ROOT'} = $CHECKOUT . '/' . $MODULE . '/build/' . $BUILD . '/TAO';
@failures = ();
+@warnings = ();
$MAKEFLAGS .= " shared_libs_only=1";
foreach $i (@BUILD_LIST) {
$date = localtime;
@@ -182,6 +187,7 @@ foreach $i (@BUILD_LIST) {
local $current_dir = $i;
local $last_error = "";
+ local $last_warning = "";
while (<MAKE>) {
print LOG $_;
chop;
@@ -196,6 +202,12 @@ foreach $i (@BUILD_LIST) {
$last_error = $current_dir;
}
}
+ if (m/Warning:/ || m/warning:/) {
+ if ($last_warning ne $current_dir) {
+ push @warnings, "Warning while compiling in $current_dir\n";
+ $last_warning = $current_dir;
+ }
+ }
}
if (close(MAKE) == 0) {
push @failures, "errors while running make in $i";
@@ -244,6 +256,10 @@ if ($#failures >= 0) {
mydie @failures;
}
+if ($#warnings >= 0) {
+ mywarn @warnings;
+}
+
close(LOG)
|| mydie "cannot close LOGFILE";
@@ -253,3 +269,5 @@ close(HIST)
unlink $disable_file
|| mydie "cannot unlink disable file";
+
+exit 0;
diff --git a/include/makeinclude/rules.nested.GNU b/include/makeinclude/rules.nested.GNU
index a9f3a6a4509..e1f70abdc43 100644
--- a/include/makeinclude/rules.nested.GNU
+++ b/include/makeinclude/rules.nested.GNU
@@ -5,7 +5,9 @@
#----------------------------------------------------------------------------
$(TARGETS_NESTED):
+ifneq ($(DIRS),)
@for dir in $(DIRS) ;\
do \
$(MAKE) -C $$dir $(@:.nested=); \
done
+endif # DIRS